<?php
error_reporting(0);
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Делаем предложение';
include_once '../sys/inc/thead.php';
title();
aut();
only_reg();

if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id`='".$ank['id']."'"));
$q_ank=mysql_fetch_array(mysql_query("SELECT * FROM `zags` WHERE `ona`='".$ank['id']."'"));

if (isset($user)&&$user['pol']==1&& mysql_result(mysql_query("SELECT COUNT(*) FROM `zags` WHERE `on` = '".$user['id']."'"),0) == '0')
mysql_query("INSERT INTO `zags`(`on`,`time`) VALUES('".$user['id']."', '$time')");


if (isset($user)&& $q_ank['on']!=0){
echo "Обломись ! Она уже замужем . ";
include_once '../sys/inc/tfoot.php';
}

$q_user=mysql_fetch_array(mysql_query("SELECT * FROM `zags` WHERE `on`='".$user['id']."'"));

if (isset($_GET['pred'])&& isset($user)&&$user['pol']!=0){
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$ank['id']."', '".$user['nick']." сделал вам прделожение . Вы готовы [url=/zags/zags.php?idd=".$user['id']."&prin]принять[/url]', '$time')");
if (isset($user)&& mysql_result(mysql_query("SELECT COUNT(*) FROM `zags` WHERE `ona` = '".$ank[id]."'"),0) == '0'){
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$ank['id']."', '".$user['nick']." сделал вам прделожение . Вы готовы [url=/zags/zags.php?idd=".$user['id']."&prin]принять[/url]', '$time')");
msg ('Успешно выполнено');
}else echo "<div class='err'>Она уже замужем</div>";
}

if (isset($_GET['idd'])&&isset($_GET['prin'])&& isset($user)&&$user['pol']!=1){
$q_on=mysql_fetch_array(mysql_query("SELECT * FROM `zags` WHERE `on`='" .mysql_real_escape_string(htmlspecialchars($_GET['idd']))."'"));
if (isset($user)&&$q_on['ona']==0){
mysql_query("UPDATE `zags` SET `ona` = '".mysql_escape_string($user[id])."' WHERE `on` = '".$q_on['on']."' LIMIT 1");
msg ('Успешно вышли замуж');
header("Location: info.php?id=".$q_on['id']."");

}else echo "<div class='err'>Он уже женат</div>";
}

if (isset($user) &&$ank['pol']!=0){
echo "Предложение могут делать только девушке";
include_once '../sys/inc/tfoot.php';
}
if (isset($user) &&$user['pol']!=1){
echo "Предложение могут делать только парни";
include_once '../sys/inc/tfoot.php';
}
if (isset($user)&&$user['pol']==1&&$q_user['ona']!=0){
echo "Вы уже женаты , если хотите пожениться заново , в начале разводитесь";
include_once '../sys/inc/tfoot.php';
}


echo "Делаем предложение $ank[nick] , хороший выбор!<br/>";
if (isset($user) &&$q_user['inter']!=0)echo '<img src="img/inter/'.$q_user['inter'].'.png" alt="" class="icon"/><br/>'; 
if (isset($user) &&$q_user['kruiz']!=NULL)echo '<img src="img/kruiz/1.png" alt="" class="icon"/>'.$q_user['kruiz'].'<br/>'; 
if (isset($user) &&$q_user['trans']!=0)echo '<img src="img/trans/'.$q_user['trans'].'.png" alt="" class="icon"/><br/>';
if (isset($user) &&$q_user['tort']!=0)echo '<img src="img/tort/'.$q_user['tort'].'.png" alt="" class="icon"/>'; 
if (isset($user) &&$q_user['byk']!=0)echo '<img src="img/byk/'.$q_user['byk'].'.png" alt="" class="icon"/>';
if (isset($user) &&$q_user['kol']!=0)echo '<img src="img/kol/'.$q_user['kol'].'.png" alt="" class="icon"/>';

echo "<div class='p_m'>";
echo "><a href='inter.php?id=".$ank[id]."'>Купить интерьер</a><br/>";
echo "><a href='veshi.php?vibor=kol&id=".$ank[id]."'>Купить кольцо</a><br/>";
echo "><a href='veshi.php?vibor=byk&id=".$ank[id]."'>Купить букет</a><br/>";
echo "><a href='veshi.php?vibor=tort&id=".$ank[id]."'>Купить торт</a><br/>";
echo "><a href='veshi.php?vibor=trans&id=".$ank[id]."'>Купить транспорт</a><br/>";
echo "><a href='kruiz.php?id=".$ank[id]."'>Купить поездку</a><br/>";

echo "</div>";
echo '<div class="msg"><a href="?id='.$ank['id'].'&pred">Сделать предложение '.$ank['nick'].'</a></div>';
include_once '../sys/inc/tfoot.php';
?>